using UnityEngine;
using UnityEngine.SceneManagement;
using TMPro;
using UnityEngine.SceneManagement;

public class MenuScript : MonoBehaviour
{
    // time logic
    public TextMeshProUGUI TimeText;

    void Start()
    {
        Time.timeScale = 1;
    }

    void Update()
    {
        var timetoDisplay = PlayerPrefs.GetFloat("highscore");

        var t0 = (int)timetoDisplay;
        var m = t0 / 60;
        var s = (t0 - m * 60);
        var ms = (int)((timetoDisplay - t0) * 100);

        TimeText.text = $"{m:00}:{s:00}:{ms:00}";

        // gameObject.transform.Rotate(0, 0, -400 * Time.deltaTime);
    }
    public void ChangeScene()
    {
        SceneManager.LoadSceneAsync("GameScene");
    }

    public void Quit()
    {
#if UNITY_EDITOR
        UnityEditor.EditorApplication.isPlaying = false;
#else
        Application.Quit();
#endif
    }
}